<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_module_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_module_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__module.html">Module APIs</a>]</small>
</h1><!-- doxytag: class="tivx_module_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Module object internal state. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__module__t.html#a79621073aef19966ad17dd585afbc6ad">name</a> [TIVX_MODULE_MAX_NAME]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">names of modules  <a href="#a79621073aef19966ad17dd585afbc6ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a3d14bc552df0c0dc582ec082310c2fd8">vx_publish_kernels_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__module__t.html#a535b0448a92099cfa56cbdf798d8a673">publish</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">callback to publish nodes in a module  <a href="#a535b0448a92099cfa56cbdf798d8a673"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a939c334c93669e3754b671381eab5042">vx_unpublish_kernels_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__module__t.html#a9ac4a369ac86c7073d195c176189eae5">unpublish</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">callback to unpublish nodes in a module  <a href="#a9ac4a369ac86c7073d195c176189eae5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__module__t.html#ad78af11bb66af2342e4c3e05fc112891">is_loaded</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">flag to indicate if module is loaded, module is counted only if it loaded  <a href="#ad78af11bb66af2342e4c3e05fc112891"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a79621073aef19966ad17dd585afbc6ad"></a><!-- doxytag: member="tivx_module_t::name" ref="a79621073aef19966ad17dd585afbc6ad" args="[TIVX_MODULE_MAX_NAME]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a9ce3f44bccc95f52b9897df2b3620713">vx_char</a> <a class="el" href="structtivx__module__t.html#a79621073aef19966ad17dd585afbc6ad">tivx_module_t::name</a>[TIVX_MODULE_MAX_NAME]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>names of modules </p>

</div>
</div>
<a class="anchor" id="a535b0448a92099cfa56cbdf798d8a673"></a><!-- doxytag: member="tivx_module_t::publish" ref="a535b0448a92099cfa56cbdf798d8a673" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a3d14bc552df0c0dc582ec082310c2fd8">vx_publish_kernels_f</a> <a class="el" href="structtivx__module__t.html#a535b0448a92099cfa56cbdf798d8a673">tivx_module_t::publish</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>callback to publish nodes in a module </p>

</div>
</div>
<a class="anchor" id="a9ac4a369ac86c7073d195c176189eae5"></a><!-- doxytag: member="tivx_module_t::unpublish" ref="a9ac4a369ac86c7073d195c176189eae5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a939c334c93669e3754b671381eab5042">vx_unpublish_kernels_f</a> <a class="el" href="structtivx__module__t.html#a9ac4a369ac86c7073d195c176189eae5">tivx_module_t::unpublish</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>callback to unpublish nodes in a module </p>

</div>
</div>
<a class="anchor" id="ad78af11bb66af2342e4c3e05fc112891"></a><!-- doxytag: member="tivx_module_t::is_loaded" ref="ad78af11bb66af2342e4c3e05fc112891" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__module__t.html#ad78af11bb66af2342e4c3e05fc112891">tivx_module_t::is_loaded</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>flag to indicate if module is loaded, module is counted only if it loaded </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
